// This file contains defintions used in matvec.c, kernel.cu
//

#ifndef _DEFS_H
#define _DEGS_H



// defining the number of vector sequencs
#define NSEQ 10

// defining vector length
#define VEC_DIM 5120

// defining matrix dimension
#define MAT_ROW_DIM 5120

// matrix column dimension is vector dimension
#define MAT_COL_DIM VEC_DIM 

//Since the TA's code assumed rows for vectors, 
// dimensions of the resultant 
#define RES_MAT_ROW 5120

#define RES_MAT_COL NSEQ

#define ERROR_MSG(MSG) fprintf(stderr, MSG);	\
                       exit(0);

// 2D Matrix is allocated as single dimensional array
typedef float* Matrix;

//Note: Signal Vectors are stacked in a single dimensional array 
typedef float* Signals;


#endif

